/* generate the volume table for the tas */

#include <stdio.h>
#include <math.h>
int main() {
  int dB2; /* dB * 2 */
  printf("/* This file is only included exactly once!\n");
  printf(" *\n");
#if 0
/* we use only one table now */
  printf(" * If they'd only tell us that generating this table was\n");
  printf(" * as easy as calculating\n");
  printf(" *      hwvalue = 65536.0*exp(0.057564630*dB*2)\n");
  printf(" * :) */\n");
  printf("static int tas_voltable[] = {\n");
  printf("	0x000000, /* -infinity dB */\n");
  for (dB2=-140;dB2<=36;dB2++)
    printf("	0x%.6x, /* %-02.1f dB */\n", (int)(65536.0*exp(0.057564630*dB2)), dB2/2.0);
  printf("};\n\n");
#endif
  printf(" * If they'd only tell us that generating this table was\n");
  printf(" * as easy as calculating\n");
  printf(" *      hwvalue = 1048576.0*exp(0.057564628*dB*2)\n");
  printf(" * :) */\n");
  printf("static int tas_gaintable[] = {\n");
  printf("	0x000000, /* -infinity dB */\n");
  for (dB2=-140;dB2<=36;dB2++)
    printf("	0x%.6x, /* %-02.1f dB */\n", (int)(1048576.0*exp(0.057564628*dB2)), dB2/2.0);
  printf("};\n\n");
}
